import { ISemver, ISemverRange } from '../semver';
import { IBrowser, IBrowsers } from './types';
/**
 * Merge browser info object to map with versions.
 * @param  browsers - Browser info object to merge.
 * @return Merged browsers map.
 */
export declare function mergeBrowserVersions(browsers: IBrowser[]): Map<string, [number, number, number][]>;
/**
 * Versions to ranged versions.
 * @param  versions - Semver versions list.
 * @return Ranged versions list.
 */
export declare function versionsListToRanges(versions: ISemver[]): [ISemverRange, ISemverRange, ISemverRange][];
/**
 * Browser versions to ranged versions.
 * @param  browsers - Browser map with versions.
 * @return Browser map with ranged versions.
 */
export declare function browserVersionsToRanges(browsers: IBrowsers): Map<string, [ISemverRange, ISemverRange, ISemverRange][]>;
//# sourceMappingURL=optimize.d.ts.map