import { IRangedSemver, ISemverCompareOptions } from '../semver';
import { IRangedBrowsers } from '../browsers';
import { IBrowserVersionRegExp, IBrowserVersionedRegExp } from '../useragent';
/**
 * Apply ranged sevmers to the RegExp.
 * @todo   if `allowHigherVersions`, apply only min version.
 * @param  regExp - Target RegExp.
 * @param  versions - Ranged semvers.
 * @param  options - Semver compare options.
 * @return RegExp with given versions.
 */
export declare function applyVersionsToRegExp(regExp: string | RegExp, versions: IRangedSemver[], options: ISemverCompareOptions): string;
/**
 * Apply browser versions to info objects.
 * @param  browserVersionRegExps - Objects with requested browser version and RegExp.
 * @param  browsers - Ranged versions of browsers.
 * @param  options - Semver compare options.
 * @return Objects with requested browser version and RegExp special for this version.
 */
export declare function applyVersionsToRegExps(browserVersionRegExps: IBrowserVersionRegExp[], browsers: IRangedBrowsers, options: ISemverCompareOptions): IBrowserVersionedRegExp[];
//# sourceMappingURL=versions.d.ts.map