import { ISemver, ISemverCompareOptions } from '../semver';
/**
 * Remove duplicates from array.
 * @param  items - Items to filter.
 * @return Uniq items.
 */
export declare function uniq<T>(items: T[]): T[];
/**
 * Check version.
 * @param  minVersion - Semver version.
 * @param  maxVersion - Semver version.
 * @param  bases - Base semver versions.
 * @param  options - Semver compare options.
 * @return Some version is matched.
 */
export declare function someSemverMatched(minVersion: ISemver, maxVersion: ISemver, bases: ISemver[], options: ISemverCompareOptions): boolean;
/**
 * Another version check. ^.^
 * @param  version - Semver version.
 * @param  regExp - Useragent RegExp.
 * @return Has version or not.
 */
export declare function hasVersion(version: any, regExp: RegExp): boolean;
/**
 * Check browser family.
 * @param  exact - Compare exact or not.
 * @param  family - Browser family.
 * @param  searchFamilies  - Browser family variations.
 * @return Family matched or not.
 */
export declare function familyMatched(exact: boolean, family: string | RegExp, searchFamilies: string[]): boolean;
//# sourceMappingURL=util.d.ts.map